/**
 * Klasse zur Modellierung eines Fahrscheindruckers eines Fahrkartenautomaten
 * 
 * @author R.Punkenburg
 * @version 2.2.2006
 */
public class Drucker
{
	private int leerFormulare;
	/**
	 * Konstruktor fr Objekte der Klasse Drucker
	 */
	public Drucker()
	{
	    leerFormulare = 3;
	}

	/**
	 * Methode zum Drucken eines Fahrscheines
	 * @param preis der Preis des Fahrscheines
	 */
	public void druckeFahrschein(int preis)
	{
		 System.out.println("Drucker: =====================================");
		 System.out.println("Drucker: =========== Ihr Fahrschein ==========");
		 System.out.println("Drucker:             Preis : "+preis+" Cent");
		 System.out.println("Drucker: =====================================");
		 leerFormulare--;
	} // druckeFahrschein
	
	/**
	 * Methode zum Prfen, ob keine Fahrscheinformulare mehr vorhanden sind
	 * @return true, falls keine Fahrscheinformulare mher vorhanden sind, sonst false
	 */
	public boolean leer()
	{
	    return (leerFormulare==0);
	} // bereit
	   
	   
	
} // class Drucker
