/**
 * Klasse zur Modellierung eines Mnzschachtes.
 * @author R.Punkenburg 
 * @version 22.1.2006
 */
public class Muenzschacht
{
    private int anzahl; // Anzahl der Mnzen im Schacht
    private String typ; // Sorte der Mnzen im Schacht

    /**
     * Konstruktor fr Objekte der Klasse Muenzschacht;
     * Bei der Instanzierung ist er mit 5 Mnzen gefllt
     * @param  typ     Sorte der Mnzen im Schacht
     */
    public Muenzschacht(String typ)
    {
        anzahl = 5;
        this.typ = typ;
    }
        
    /**
     * Methode, die das Auswerfen von Mnzen darstellt
     */
    public void auswerfen()
    {
        anzahl --;
        System.out.println("Mnzschacht"+typ+":"+"Rckgabe einer Mnze");
    } // auswerfen
    
    /**
     * Methode zum Abfragen der aktuellen Anzahl der vorhandenen Mnzen
     * @return    Anzahl der Mnzen im Schacht
     */
    public int getAnzahl()
    {
        return anzahl;
    } // getAnzahl
    
    /**
     * Methode zum Erhhen aktuellen Anzahl der vorhandenen Mnzen
     */
    public void aufstocken()
    {
        anzahl ++;
    } // aufstocken
       
} // Muenzschacht
